let path = require('path')

module.exports = {
    pages: {
        index: {
          // page 的入口
          entry: 'src/main.js',   // 把src 修改为examples
          // 模板来源
          template: 'public/index.html',
          // 在 dist/index.html 的输出
          filename: 'index.html'
        }
      },
    chainWebpack: config => {
        config.resolve.alias
            .set("@", path.join(__dirname));
        config.module
            .rule('js')
            .include
            .add(__dirname + '/src/components')  // 注意这里需要绝对路径，所有要拼接__dirname
            .end()
            .use('babel')
            .loader('babel-loader')
            .tap(options => {
            // 修改它的选项...
            return options
            })
    },
    css: {
        loaderOptions: {
            less: {
                lessOptions: {
                    javascriptEnabled: true
                }
            },
            postcss: {
                plugins: [require('postcss-px2rem')({
                    remUnit: 37.5
                })]
            }
        }
    },
    publicPath: './',
    outputDir: 'dist',
    assetsDir: 'static',
    productionSourceMap: false
}